API endpoint
https://bugnotify.com/api/v1/monitors
Request example
curl --location --request GET 'https://bugnotify.com/api/v1/monitors' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name for Name, url for URL. Defaults to: name.
status_page_id
sort_by
id for Date created, name for Name, url for URL. Defaults to: id.
sort
desc for Descending, asc for Descending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://bugnotify.com/api/v1/monitors/{id}
Request example
curl --location --request GET 'https://bugnotify.com/api/v1/monitors/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://bugnotify.com/api/v1/monitors
Request example
curl --location --request POST 'https://bugnotify.com/api/v1/monitors' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}' \ --data-urlencode 'url={url}' \ --data-urlencode 'interval={interval}'
Parameters
name
url
interval
60, 180, 300, 600, 900, 1800, 3600.
alert_condition
url_unavailable for URL becomes unavailable, url_text for URL response contains text, url_no_text for URL response does not contain text. Defaults to: url_unavailable.
alert_text_lookup
alert_condition field set to url_text, url_no_text.
alert_channel_ids[]
request_method
GET, POST, HEAD, PUT, DELETE, PATCH, OPTIONS. Defaults to: GET.
request_headers[index][key]
request_headers[index][value]
request_auth_username
request_auth_password
cache_buster
0 for Disabled, 1 for Enabled. Defaults to: 0.
ssl_alert_days
0, 1, 2, 3, 7, 14, 30, 60.
domain_alert_days
0, 1, 2, 3, 7, 14, 30, 60.
maintenance_start_at
Y-m-dTH:i:s format.
maintenance_end_at
Y-m-dTH:i:s format.
API endpoint
https://bugnotify.com/api/v1/monitors/{id}
Request example
curl --location --request PUT 'https://bugnotify.com/api/v1/monitors/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
name
url
interval
60, 180, 300, 600, 900, 1800, 3600.
alert_condition
url_unavailable for URL becomes unavailable, url_text for URL response contains text, url_no_text for URL response does not contain text. Defaults to: url_unavailable.
alert_text_lookup
alert_condition field set to url_text, url_no_text.
alert_channel_ids[]
request_method
GET, POST, HEAD, PUT, DELETE, PATCH, OPTIONS. Defaults to: GET.
request_headers[index][key]
request_headers[index][value]
request_auth_username
request_auth_password
cache_buster
0 for Disabled, 1 for Enabled.
ssl_alert_days
0, 1, 2, 3, 7, 14, 30, 60.
domain_alert_days
0, 1, 2, 3, 7, 14, 30, 60.
maintenance_start_at
Y-m-dTH:i:s format.
maintenance_end_at
Y-m-dTH:i:s format.
pause
API endpoint
https://bugnotify.com/api/v1/monitors/{id}
Request example
curl --location --request DELETE 'https://bugnotify.com/api/v1/monitors/{id}' \ --header 'Authorization: Bearer {api_key}'